//专业接口
export {
  addPro,
  updatePro,
  delBatchPro,
  getProById,
  queryProList,
  listPagesPro,
} from "./RequestSettings/professional.js";

//机构接口
export {
  addOrg,
  updateOrg,
  delBatchOrg,
  getOrgById,
  queryOrgList,
  listPagesOrg,
  queryOrgListTree,
  queryingOrgParent,
  queryingOrgSons,
  queryingOrgLookForParent,
  listPagesListTree,
} from "./RequestSettings/organization.js";

//课程接口
export {
  addCourse,
  updateCourse,
  delBatchCourse,
  getCourseById,
  queryCourseList,
  listPagesCourse,
} from "./RequestSettings/course.js";

//学期接口
export {
  semesterAdd,
  updateSemester,
  semesterDelBatch,
  getSemesterById,
  getSemesterList,
  querySemesterList,
} from "./RequestSettings/semester";

//校区接口
export {
  addCampus,
  updateCampus,
  delBatchCampus,
  getCampusById,
  queryCampusList,
  listPagesCampus,
} from "./RequestSettings/campus";

//教学楼
export {
  addTeachingBuilding,
  updateTeachingBuilding,
  delBatchTeachingBuilding,
  getTeachingBuildingById,
  queryTeachingBuildingList,
  listPagesTeachingBuilding,
} from "./RequestSettings/teachingBuilding";

//楼层接口
export {
  addFloor,
  updateFloor,
  delBatchFloor,
  getFloorById,
  queryFloorList,
  listPagesFloor,
} from "./RequestSettings/floor";

//教室接口
export {
  addClassroom,
  updateClassroom,
  delBatchClassroom,
  getClassroomById,
  queryClassroomList,
  listPagesClassroom,
} from "./RequestSettings/classroom";

//教师用户
export {
  addTeacher,
  updateTeacher,
  delBatchTeacher,
  getTeacherById,
  queryTeacherList,
  listPagesTeacher,
} from "./RequestSettings/teacherUser";

//学生用户
export {
  addStudent,
  updateStudent,
  delBatchStudent,
  getStudentById,
  queryStudentList,
  listPagesStudent,
} from "./RequestSettings/studentUser";

//其他用户
export {
  addOthers,
  updateOthers,
  delBatchOthers,
  getOthersById,
  queryOthersList,
  listPagesOthers,
} from "./RequestSettings/otherUser";

//账号接口
export {
  activeUser,
  lockUser,
  configRoles,
  delBatchUser,
  eidtEmail,
  editPhone,
  getUserById,
  getUserByIdPart,
  listPagesUser,
  listPagesUserPart,
  queryUserListPart,
  queryUserList,
  setPassword,
} from "./RequestSettings/account";

//节课设置接口
export {
  addLessonSet,
  updateLessonSet,
  getLessonSetById,
} from "./RequestSettings/lessonSettings";

//行政班接口
export {
  addClaAdmin,
  updateClaAdmin,
  delBatchClaAdmin,
  getClaAdminById,
  queryClaAdminList,
  listPagesClaAdmin,
  getByProfessionId,
  addStudentsClaAdmin,
  deleteStudentsClaAdmin,
} from "./RequestSettings/adminClass";

//教学班接口
export {
  teaCalAdd,
  updateTeaCal,
  delBatchTeaCal,
  getTeaClaById,
  queryTeaClaList,
  listPagesTeaCla,
  addStudentClaAdmin,
  addStudentTeaCal,
  deleteTeaCla,
  getTeaClaStudentList,
} from "./RequestSettings/tachingClass";

//课程表
export {
  classScheduleAdd,
  classScheduleUpdate,
  classScheduleDel,
  getScheduleByIdAndWeek,
  classScheduleList,
  listPagesClassSchedule,
} from "./RequestSettings/classSchedule";

//字典接口
export {
  getDictionariesList,
  dictDictionariesList,
} from "./RequestSettings/dictionaries";

export { GlobalConfiguration } from "./globalConfiguration";
