//公共方法
//全局配置变量
var configuration = {
  globalUrl: "",
  PLATFORM: undefined,
};

//接口局部配置
function localConfiguration(portUrl, globalUrl, config = {}) {
  return {
    url:
      (config && config.configUrl
        ? config.configUrl
        : configuration.globalUrl) + portUrl,
    ...config,
  };
}

const PublicMethod = {
  // //下载
  // download: {
  //   method: "get",
  //   timeout: 60000 * 60,
  //   responseType: "blob",
  // },
  //  //上传
  // formUploading: {
  //   method: "post",
  //   timeout: 60000 * 10,
  //   headers: {
  //     "Content-Type": "multipart/form-data;",
  //   },
  // },
  // //导出 导入
  // exportData:{
  //   method: 'post',
  //   timeout: 60000 * 10,
  //   responseType: 'blob',
  // },
};

//分页查询
function pagingQuery(data, portUrl, config = { configUrl: undefined }) {
  return {
    url:
      (config.configUrl ? config.configUrl : configuration.globalUrl) + portUrl,
    method: "post",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    data,
    ...config,
    configUrl:undefined,
  };
}

//单个删除
function singleDelete(id, portUrl, config) {
  return {
    url:
      (config && config.configUrl
        ? config.configUrl
        : configuration.globalUrl) +
      portUrl +
      id,
    method: "delete",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    ...config,
  };
}

//批量删除
function batchDeletion(data, portUrl, config) {
  return {
    url:
      (config && config.configUrl
        ? config.configUrl
        : configuration.globalUrl) + portUrl,
    method: "delete",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    data,
    ...config,
  };
}

//提交 更新
function submit(data, portUrl, config = {configUrl: undefined }) {
  console.log("config.configUrl", config.configUrl);
  console.log("configuration.globalUrl", configuration);
  return {
    url:
      (config.configUrl
        ? config.configUrl
        : configuration.globalUrl) + portUrl,
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    method: "post",
    data,
    ...config,
    configUrl:undefined,
  };
}

//单个查询 路径
function singleQueryPath(id, portUrl, config = {}) {
  return {
    url:
      (config && config.configUrl
        ? config.configUrl
        : configuration.globalUrl) +
      portUrl +
      id,
    method: "get",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    ...config,
  };
}

//单个查询  get
function singleQuery(data, portUrl, config = {}) {
  return {
    url:
      (config.configUrl ? config.configUrl : configuration.globalUrl) + portUrl,
    method: "get",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
    params: data,
    ...config,
  };
}

//查询数据 post
function postQueryData(data, portUrl, config = {}){
  return {
    url:
      (config.configUrl ? config.configUrl : configuration.globalUrl) + portUrl,
    method: "post",
    headers: {
      pingtbs: configuration.PLATFORM,
    },
     data,
    ...config,
  };
}
export {
  configuration,
  PublicMethod,
  localConfiguration,
  singleQuery,
  singleQueryPath,
  submit,
  batchDeletion,
  singleDelete,
  pagingQuery,
  postQueryData,
};
